{
  description = "SelfPrivacy NixOS configuration local flake";

  inputs.selfprivacy-nixos-config.url =
    git+https://git.selfprivacy.org/SelfPrivacy/selfprivacy-nixos-config.git;

  inputs.sp-modules.url = path:./sp-modules;

  outputs = { self, selfprivacy-nixos-config, sp-modules }: {
    nixosConfigurations =
      selfprivacy-nixos-config.outputs.nixosConfigurations-fun {
        system = "x86_64-linux";
        hardware-configuration = ./hardware-configuration.nix;
        userdata = builtins.fromJSON (builtins.readFile ./userdata.json);
        top-level-flake = self;
        sp-modules = sp-modules.inputs;
      };
  };
}
